Elektra: Class Hierarchy

Elektra 0.8.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 12]

C kdb::Command | Used by contexts for callbacks (to run code using a mutex)
C kdb::Context | Provides a context for configuration
C kdb::ContextPolicyIs< Policy > | Needed by the user to set one of the policies
C kdb::Coordinator | Thread safe coordination of ThreadContext per Threads
C kdb::DefaultGetPolicy | Implements lookup with spec
C kdb::DefaultSetPolicy | Implements creating user/ key when key is not found
C kdb::Discriminator< Base, D > | This technique with the PolicySelector and Discriminator is taken from the book "C++ Templates - The Complete Guide" by David Vandevoorde and Nicolai M
C kdb::Discriminator< Setter1, 1 > |
C kdb::Discriminator< Setter2, 2 > |
C kdb::Discriminator< Setter3, 3 > |
C kdb::Discriminator< Setter4, 4 > |
C kdb::Discriminator< Setter5, 5 > |
C kdb::Discriminator< Setter6, 6 > |
C kdb::GetPolicyIs< Policy > | Needed by the user to set one of the policies
C kdb::KDB | Constructs a class KDB.
C kdb::Key |
C kdb::KeySet | A keyset holds together a set of keys
C kdb::KeySetIterator | For C++ forward Iteration over KeySets
C kdb::KeySetReverseIterator | For C++ reverse Iteration over KeySets
C kdb::Layer | Base class for all layers
C kdb::LockPolicyIs< Policy > | Needed by the user to set one of the policies
▼C kdb::NameIterator | For C++ forward Iteration over Names
C kdb::NameReverseIterator | For C++ reverse Iteration over Names
C kdb::none_t | This type is being used as bottom type that always fails
C kdb::ObserverPolicyIs< Policy > | Needed by the user to set one of the policies
C kdb::PerContext | A data structure that is stored by context inside the Coordinator
C kdb::SetPolicyIs< Policy > | Needed by the user to set one of the policies
C kdb::ThreadSubject | Subject from Observer pattern for ThreadContext
C kdb::Va | Needed to avoid constructor ambiguity
C kdb::ValueObserver | Base class for values to be observed
C kdb::WritePolicyIs< Policy > | Needed by the user to set one of the policies